Access Logs
List the API calls made with your credentials
Newest first. Calls are kept for 30 days.
Scopes: access_log:read
GET
/
v0
/
tenant
/
access-log
List the API calls made with your credentials
curl --request GET \
--url https://api.sandbox.getasset.com/v0/tenant/access-log \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.getasset.com/v0/tenant/access-log"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.getasset.com/v0/tenant/access-log', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.getasset.com/v0/tenant/access-log",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.getasset.com/v0/tenant/access-log"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.getasset.com/v0/tenant/access-log")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.getasset.com/v0/tenant/access-log")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"request_id": "rid_ppu75G8gBVH4SPLYFAPXo",
"timestamp": "2023-11-07T05:31:56Z",
"client_id": "<string>",
"business_id": "<string>",
"method": "POST",
"endpoint": "/v0/business/{business_id}/invoice",
"path": "/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/invoice",
"status": 201,
"error": "<string>",
"error_details": [
{
"field": "<string>",
"message": "<string>"
}
],
"ip_address": "<string>",
"user_agent": "<string>"
}
],
"pagination": {
"next_page_token": "<string>",
"previous_page_token": "<string>"
}
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Required range:
100 <= x <= 599Available options:
2xx, 3xx, 4xx, 5xx Available options:
GET, POST, PUT, PATCH, DELETE The page token to for the next or previous page
Required range:
1 <= x <= 100⌘I
List the API calls made with your credentials
curl --request GET \
--url https://api.sandbox.getasset.com/v0/tenant/access-log \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.getasset.com/v0/tenant/access-log"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.getasset.com/v0/tenant/access-log', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.getasset.com/v0/tenant/access-log",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.getasset.com/v0/tenant/access-log"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.getasset.com/v0/tenant/access-log")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.getasset.com/v0/tenant/access-log")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"request_id": "rid_ppu75G8gBVH4SPLYFAPXo",
"timestamp": "2023-11-07T05:31:56Z",
"client_id": "<string>",
"business_id": "<string>",
"method": "POST",
"endpoint": "/v0/business/{business_id}/invoice",
"path": "/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/invoice",
"status": 201,
"error": "<string>",
"error_details": [
{
"field": "<string>",
"message": "<string>"
}
],
"ip_address": "<string>",
"user_agent": "<string>"
}
],
"pagination": {
"next_page_token": "<string>",
"previous_page_token": "<string>"
}
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}